Bug 1417653 - [GSS](6.4.z) NullPointerException on missing user-agent in the request
Summary: [GSS](6.4.z) NullPointerException on missing user-agent in the request
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.4.12
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: CR1
: EAP 6.4.15
Assignee: Radovan Netuka
QA Contact: Jiří Bílek
URL:
Whiteboard:
Depends On: 1425872
Blocks: eap6415-payload
TreeView+ depends on / blocked
 
Reported: 2017-01-30 14:27 UTC by tmiyargi
Modified: 2020-03-11 15:41 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 08:09:50 UTC
Type: Bug


Attachments (Terms of Use)

Description tmiyargi 2017-01-30 14:27:00 UTC
Description of problem:

NullPointerException when you send a request without user-agent,

Version-Release number of selected component (if applicable):
jboss-as-domain-http-interface-7.5.12.Final

How reproducible:

Use a ruby restclient to do a read-attribute request, not sending the user-agent

Expected results:
Other than NullPointerException

Additional info:

The HTTP specification states that the User-Agent header SHOULD be included.

As a server vendor we need to interpret that as 'might not' be included. There should be some fallback if this header is missing.

Comment 9 Jiří Bílek 2017-04-24 08:33:35 UTC
Thank you Masafumi for detailed steps to reproduce.

Verified with EAP 6.4.15.CP.CR2

Comment 10 Petr Penicka 2017-05-19 08:09:50 UTC
Released on May 18 as part of EAP 6.4.15.


Note You need to log in before you can comment on or make changes to this bug.